﻿
local holder = CreateFrame('Frame', 'AleaUIAltPowerBarHolder', AleaUI.UIParent)
holder:SetSize(128, 50)
holder:Show()

local function ReparentAltPowerBar()

	PlayerPowerBarAlt:ClearAllPoints()
	PlayerPowerBarAlt:SetPoint('CENTER', holder, 'CENTER', 0, 0)
--	PlayerPowerBarAlt:SetParent(holder)
--	PlayerPowerBarAlt:SetIgnoreFramePositionManager(true)
end


local function PositionAltPowerBar()

	ReparentAltPowerBar()
	
	AleaUI:Mover(holder, "powerbarFrame")
	PlayerPowerBarAlt:SetScale(AleaUI.db.Frames["powerbarFrame"].scale or 1)
	
	hooksecurefunc(PlayerPowerBarAlt, 'SetPoint', function(self, a1, a2, a3, a4, a5)	
		if a1 ~= 'CENTER' or a2 ~= holder or a3 ~= 'CENTER' or a4 ~= 0 or a5 ~= 0 then
			ReparentAltPowerBar()
		end
	end)
	
	AleaUI.numActonBars = ( AleaUI.numActonBars or 0 ) + 1
	
	AleaUI.GUI.args.actionbars.args.powerbarFrame = {
		name = "PowerbarFrame",
		order = AleaUI.numActonBars,
		expand = true,
		type = "group",
		args = {}
	}
	
	AleaUI.GUI.args.actionbars.args.powerbarFrame.args.unlock = {
		name = "Разблокировать",
		order = 2,
		type = "execute",
		set = function(self, value)
			AleaUI:UnlockMover("powerbarFrame") 
		end,
		get = function(self)end
	}
	
	AleaUI.GUI.args.actionbars.args.powerbarFrame.args.scale = {
		name = "Scale",
		order = 4,
		type = "slider",
		min = 0.5, max = 3, step = 0.1,
		set = function(self, value)
			AleaUI.db.Frames["powerbarFrame"].scale = value
			PlayerPowerBarAlt:SetScale(AleaUI.db.Frames["powerbarFrame"].scale)
		end,
		get = function(self) 
			return AleaUI.db.Frames["powerbarFrame"].scale or 1
		end
	}
end


AleaUI:OnInit2(PositionAltPowerBar)
AleaUI:OnInit(ReparentAltPowerBar)